Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class LineBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.LineBreakpoint

    public class LineBreakpoint

extends JPDABreakpoint

Notifies about line breakpoint events.
How to use it:

        DebuggerManager.addBreakpoint (LineBreakpoint.create (
            "examples.texteditor.Ted",
            27
        ));

This breakpoint stops in Ted class on 27 line number.

Field Summary
`static String` | `PROP_CONDITION` Property name constant.
`static String` | `PROP_LINE_NUMBER` Property name constant
`static String` | `PROP_SOURCE_NAME` Property name constant.
`static String` | `PROP_SOURCE_PATH` Property name constant.
`static String` | `PROP_STRATUM` Property name constant.
`static String` | `PROP_URL` Property name constant

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static LineBreakpoint` | `create(String url, int lineNumber)` Creates a new breakpoint for given parameters.
`String` | `getCondition()` Returns condition.
`int` | `getLineNumber()` Gets number of line to stop on.
`String` | `getSourceName()` Returns source name.
`String` | `getSourcePath()` Returns source path.
`String` | `getStratum()` Returns stratum.
`String` | `getURL()` Gets name of class to stop on.
`void` | `setCondition(String c)` Sets condition.
`void` | `setLineNumber(int ln)` Sets number of line to stop on.
`void` | `setSourceName(String sn)` Sets source name.
`void` | `setSourcePath(String sp)` Sets source path.
`void` | `setStratum(String s)` Sets stratum.
`void` | `setURL(String url)` Sets name of class to stop on.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_LINE_NUMBER

    public static final String PROP_LINE_NUMBER

  Property name constant

### PROP_URL

    public static final String PROP_URL

  Property name constant

### PROP_CONDITION

    public static final String PROP_CONDITION

  Property name constant.

### PROP_SOURCE_NAME

    public static final String PROP_SOURCE_NAME

  Property name constant.

### PROP_SOURCE_PATH

    public static final String PROP_SOURCE_PATH

  Property name constant.

### PROP_STRATUM

    public static final String PROP_STRATUM

  Property name constant.

Method Detail

### create

    public static LineBreakpoint create(String url,
                                        int lineNumber)

  Creates a new breakpoint for given parameters.

  Parameters:
    `url` - a url
    `lineNumber` - a line number
  Returns:
    a new breakpoint for given parameters

### getURL

    public String getURL()

  Gets name of class to stop on.

  Returns:
    name of class to stop on

### setURL

    public void setURL(String url)

  Sets name of class to stop on.

  Parameters:
    `url` - the URL of class to stop on

### getLineNumber

    public int getLineNumber()

  Gets number of line to stop on.

  Returns:
    line number to stop on

### setLineNumber

    public void setLineNumber(int ln)

  Sets number of line to stop on.

  Parameters:
    `ln` - a line number to stop on

### getCondition

    public String getCondition()

  Returns condition.

  Returns:
    cond a condition

### setCondition

    public void setCondition(String c)

  Sets condition.

  Parameters:
    `c` - a new condition

### getStratum

    public String getStratum()

  Returns stratum.

  Returns:
    a stratum

### setStratum

    public void setStratum(String s)

  Sets stratum.

  Parameters:
    `s` - a new stratum

### getSourceName

    public String getSourceName()

  Returns source name.

  Returns:
    a source name or `null` when no source name is defined.

### setSourceName

    public void setSourceName(String sn)

  Sets source name.

  Parameters:
    `sn` - a new source name or `null`.

### getSourcePath

    public String getSourcePath()

  Returns source path.

  Returns:
    a source path or `null` when no source path is defined.
  Since:
    1.3

### setSourcePath

    public void setSourcePath(String sp)

  Sets source path.

  Parameters:
    `sp` - a new source path or `null`
  Since:
    1.3

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.